unset xzeroaxis
unset yzeroaxis
unset xtics
unset ytics

set multiplot
N=4
plot [-N:N] [0:2] \
    0 dt 2, 1 dt 2, 2 dt 2, \
    for [i=-N:N] for [j=-N:N] ((j-i)%2 == 0) ? (2.0/(j-i))*x - (2.0/(j-i))*i : 0/0 dt 1

set parametric
set trange [0:2]
plot for [i=-N:N] i,t dt 1
plot for [i=-N:N] for [j=0:2] i,j with points pt 2
unset multiplot
